IWmsNestedLayer (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.image.wms
Interface IWmsNestedLayer

All Superinterfaces:
  IWmsLayer

    public interface IWmsNestedLayer

extends IWmsLayer

A variant of `IWmsLayer` that allow for nesting of wms layers.

Nested wms layers below a OpenMap `Layer` may be used to split up information in a single OpenMap Layer for wms users.

Example: A OpenMap city layer may have nested wms layers for the different type of cities. That way a wms user can select only the large cities.

There is always one top level `IWmsLayer` that also is a OpenMap `Layer` - see `getTopLayer()`. There may be some nested layers "below" this layer - see `getNestedLayers()`

Method Summary
`IWmsNestedLayer[]` | `getNestedLayers()` Return an array of `IWmsLayer` for each of the nested layers.
`IWmsNestedLayer` | `getTopLayer()` Return the top layer, that is the IWmsLayer that also is an OpenMap `Layer`.
`void` | `setIsActive(boolean active)` Called by the outside to turn this nested layer on or off.

Methods inherited from interface com.bbn.openmap.image.wms.IWmsLayer
`getAbstract, getLegend, getStyles, getTitle, getWmsName, isQueryable, isStyleSupported, query, setDefaultStyle, setRequestParameters, setStyle`

Method Detail

### getNestedLayers

    IWmsNestedLayer[] getNestedLayers()

  Return an array of `IWmsLayer` for each of the nested layers. Nested layers may also be `IWmsNestedLayer` to support multiple nesting levels.

  Null or an empty array is returned if no nested layers exist.

  Returns:
    an array of `IWmsLayer` with info about nested layers

### getTopLayer

    IWmsNestedLayer getTopLayer()

  Return the top layer, that is the IWmsLayer that also is an OpenMap `Layer`. For such a top level layer, this method should return it self.

### setIsActive

    void setIsActive(boolean active)

  Called by the outside to turn this nested layer on or off.

  If this method is not called, then this nested layer is off.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details